ReissueCertificate

Prev Next

The latest service changes have not yet been reflected in this content. We will update the content as soon as possible. Please refer to the Korean version for information on the latest updates.

Available in Classic and VPC

Reissue Advanced DV and Advanced OV certificates.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /certificate/{certificateNo}/reissue

Request headers

For information about the headers common to all Certificate Manager APIs, see Common Certificate Manager headers.

Request query parameters

The following describes the parameters.

Field Type Required Description
certificateNo String Required Certificate number

Request body

You can include the following data in the body of your request:

Field Type Required Description
csr String Required Certificate Signing Request (CSR)
certificateName String Required Certificate name
commonName String Required Domain to be included in the certificate CN (Common Name)
dnsName Array Optional List of domains to be included in the certificate SAN (Subject Alternative Name)
validationMethod String Required Certificate domain control (DCV) validation method
  • D | E
    • D: DNS CNAME record validation method
    • E: Email-based validation method (domain admin email approval)

Request example

The request example is as follows:

curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/55882/reissue' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
    "csr":"-----BEGIN CERTIFICATE REQUEST-----CCAUICAQAwFT...HzV1ht+BbMeZlD\n-----END CERTIFICATE REQUEST-----\n",
    "certificateName": "ncloudcertificate",
    "commonName": "*.ncloud.com",
    "dnsName": ["ncloud.com", "ncloud-docs.com"],
    "validationMethod":"D"
}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
returnCode String - Response code
returnMessage String - Response message
totalRows Integer - Total number of lists searched

Response status codes

For information about the HTTP status codes common to all Certificate Manager APIs, see Common Certificate Manager response status codes.

Response example

The response example is as follows:

{
    "returnCode": "0",
    "returnMessage": "Certificate reissuance has been completed.",
    "totalRows": 0
}